# $Revision: 1.8 $, $Date: 2012/01/17 08:42:22 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	OptList
Summary:	Data::OptList - parse and validate simple name/value option pairs
Summary(pl.UTF-8):	Data::OptList - analiza i sprawdzanie poprawności prostych par opcji nazwa/wartość
Name:		perl-Data-OptList
Version:	0.107
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	17177b3cfb8941780a8736f9b9b30421
URL:		http://search.cpan.org/dist/Data-OptList/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Params-Util >= 0.14
BuildRequires:	perl-Sub-Install >= 0.921
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::OptList simplifies storing name/value pairs.

%description -l pl.UTF-8
Data::OptList upraszcza zapisywanie par nazwa/wartość.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Data/OptList.pm
%{_mandir}/man3/Data::OptList.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-OptList.spec,v $
Revision 1.8  2012/01/17 08:42:22  zbyniu
- up to 0.107

Revision 1.7  2011/02/22 16:04:26  qboosh
- updated to 0.106

Revision 1.6  2011/02/05 01:16:50  sparky
- marked pl description as UTF-8

Revision 1.5  2011/02/05 01:04:09  sparky
- marked pl summary as UTF-8

Revision 1.4  2009/06/18 10:19:37  amateja
- updated to 0.104

Revision 1.3  2007/12/23 23:04:15  zbyniu
- up to 0.103

Revision 1.2  2007-06-02 23:08:12  qboosh
- generic URL
- pl (but simplified desc - whole story is too long)

Revision 1.1  2007/05/27 00:25:57  agaran
- initial, ver 0.101, rel 1, builds here
